For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet vaults
        • POSTCreate vault
        • GETGet vault account summary
        • GETGet combined vault-level and substrategy analytics for a vault
        • GETGet vault balances
        • GETGet vaults config
        • GETGet vault historical data
        • GETGet vaults owned or operated by the authenticated account
        • GETGet vault positions
        • GETGet vault summary
        • GETGet vault transfers
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceVaults

Create vault

POST
https://api.prod.paradex.trade/v1/vaults
POST
/v1/vaults
$curl -X POST https://api.prod.paradex.trade/v1/vaults \
> -H "PARADEX-PARENT-ACCOUNT: PARADEX-PARENT-ACCOUNT" \
> -H "PARADEX-STARKNET-SIGNATURE: PARADEX-STARKNET-SIGNATURE" \
> -H "PARADEX-STARKNET-ACCOUNT: PARADEX-STARKNET-ACCOUNT" \
> -H "PARADEX-STARKNET-ACCOUNT-DERIVATION-PATH: PARADEX-STARKNET-ACCOUNT-DERIVATION-PATH" \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "address": "0x1234567890abcdef",
3 "created_at": 1517171717,
4 "curator_name": "Some Curator",
5 "description": "My description",
6 "kind": "user",
7 "last_updated_at": 1617171717,
8 "lockup_period": 1,
9 "max_tvl": 1000000,
10 "name": "MyVault",
11 "operator_account": "0x1234567890abcdef",
12 "owner_account": "0x0234567890abcdef",
13 "profit_share": 10,
14 "status": "ACTIVE",
15 "strategies": [
16 {
17 "address": "0x29464b79b02543ed8746bba6e71c8a15401dd27b7279a5fa2f2fe8e8cdfabb",
18 "name": "Alpha Strategy"
19 }
20 ],
21 "strategy_description": "Delta Neutral",
22 "token_address": "string"
23}

Create a new vault by providing deployment parameters.Current user will be set as owner of the account and a new sub-account will be deployed as vault operator.

Was this page helpful?
Previous

Get vault account summary

Next
Built with

Headers

PARADEX-PARENT-ACCOUNTstringRequired

Onboarded by prdx:0xa123456789

PARADEX-STARKNET-SIGNATUREstringRequired
Starknet signature
PARADEX-STARKNET-ACCOUNTstringRequired
Starknet address
PARADEX-STARKNET-ACCOUNT-DERIVATION-PATHstringRequired

Account derivation path - m/44’/9004’/0’/0/1

Request

Vault parameters
curator_namestringOptional

Curator name for the vault (optional)

deposit_tx_signaturestringOptional
Initial deposit transfer by vault owner
descriptionstringOptional
Description for the vault
lockup_periodintegerOptional
User's deposits lockup period in days
max_tvlintegerOptional
Max TVL locked by the Vault, if any. 0 for unlimited
namestringOptional
Unique name for the vault
profit_shareintegerOptional

Vault owner profit share (percentage)

public_keystringOptional
Public key of vault operator
strategy_descriptionstringOptional

Strategy description for the vault (optional)

Response

Created
addressstring
Contract address of the vault
created_atinteger
Unix timestamp in milliseconds of when the vault has been created
curator_namestring

Curator name of the vault (empty string if not set)

descriptionstring
Description of the vault
kindenum

Kind of the vault: ‘user’ for user-defined vaults, ‘protocol’ for vaults controlled by Paradex

Allowed values:
last_updated_atinteger
Unix timestamp in milliseconds of when the vault was last updated
lockup_periodinteger
Lockup period of the vault in days
max_tvlinteger
Maximum amount of assets the vault can hold in USDC
namestring
Name of the vault
operator_accountstring
Operator account of the vault
owner_accountstring
Owner account of the vault
profit_shareinteger

Profit share of the vault in percentage, i.e. 10 means 10%

statusenum
Status of the vault
Allowed values:
strategieslist of objects
Strategies of the vault
strategy_descriptionstring

Strategy description of the vault (empty string if not set)

token_addressstring
LP token address

Errors

400
Bad Request Error